Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.groovydoc
[Java] Interface GroovyFieldDoc

    org.codehaus.groovy.groovydoc.GroovyDoc
      org.codehaus.groovy.groovydoc.GroovyProgramElementDoc
          org.codehaus.groovy.groovydoc.GroovyFieldDoc
              org.codehaus.groovy.groovydoc.GroovyMemberDoc

All Superinterfaces:
  GroovyDoc, GroovyProgramElementDoc, GroovyMemberDoc

    public interface GroovyFieldDoc
    extends GroovyMemberDoc

Method Summary
`Object` | `constantValue()`
`String` | `constantValueExpression()`
`boolean` | `isTransient()`
`boolean` | `isVolatile()`
`GroovyType` | `type()`

Methods inherited from interface GroovyMemberDoc
isSynthetic

Methods inherited from interface GroovyProgramElementDoc
annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName

Methods inherited from interface GroovyDoc
commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText

Methods inherited from interface Comparable
compareTo

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### constantValue

    public Object constantValue()

### constantValueExpression

    public String constantValueExpression()

### isTransient

    public boolean isTransient()

### isVolatile

    public boolean isVolatile()

### type

    public GroovyType type()

Copyright © 2003-2010 The Codehaus. All rights reserved.